# Uses of Class
nu.xom.Element

Packages that use Element
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of Element in nu.xom

Methods in nu.xom that return Element
Modifier and Type
Method
Description
`Element`
Element.`copy()`
Creates a deep copy of this element with no parent, that can be added to this document or a different one.
`Element`
Elements.`get(int index)`
Returns the indexth element in the list.
`final Element`
Element.`getFirstChildElement(String name)`
Returns the first child element with the specified name in no namespace.
`final Element`
Element.`getFirstChildElement(String localName, String namespaceURI)`
Returns the first child element with the specified local name and namespace URI.
`final Element`
Document.`getRootElement()`
Returns this document's root element.
`Element`
NodeFactory.`makeRootElement(String name, String namespace)`
Creates a new element in the specified namespace with the specified name.
`protected Element`
Element.`shallowCopy()`
Creates a very shallow copy of the element with the same name and namespace URI, but no children, attributes, base URI, or namespace declaration.
`Element`
NodeFactory.`startMakingElement(String name, String namespace)`
Creates a new `Element` in the specified namespace with the specified name.
Methods in nu.xom that return types with arguments of type Element
Modifier and Type
Method
Description
`Iterator<Element>`
Elements.`iterator()`
Methods in nu.xom with parameters of type Element
Modifier and Type
Method
Description
`Nodes`
NodeFactory.`finishMakingElement(Element element)`
Signals the end of an element.
`static XPathContext`
XPathContext.`makeNamespaceContext(Element element)`
Creates a new XPath context that contains all the namespace bindings in scope on the element.
`void`
Document.`setRootElement(Element root)`
Replaces the current root element with a different root element.
`protected void`
Serializer.`write(Element element)`
Serializes an element onto the output stream using the current options.
`protected void`
Serializer.`writeAttributes(Element element)`
Writes all the attributes of the specified element onto the output stream, one at a time, separated by white space.
`protected void`
Serializer.`writeEmptyElementTag(Element element)`
Writes an empty-element tag for the element including all its namespace declarations and attributes.
`protected void`
Serializer.`writeEndTag(Element element)`
Writes the end-tag for an element in the form `</name>`.
`protected void`
Serializer.`writeNamespaceDeclarations(Element element)`
Writes all the namespace declaration attributes of the specified element onto the output stream, one at a time, separated by white space.
`protected void`
Serializer.`writeStartTag(Element element)`
Writes the start-tag for the element including all its namespace declarations and attributes.
Constructors in nu.xom with parameters of type Element
Modifier
Constructor
Description
``
`Document(Element root)`
Creates a new `Document` object with the specified root element.
``
`Element(Element element)`
Creates a deep copy of an element.
``
`Namespace(String prefix, String URI, Element parent)`
Create a new namespace node.

## Uses of Element in nu.xom.converters

Methods in nu.xom.converters that return Element
Modifier and Type
Method
Description
`static Element`
DOMConverter.`convert(Element element)`
Translates a DOM `org.w3c.dom.Element` object into an equivalent `nu.xom.Element` object.

## Uses of Element in nu.xom.tests

Methods in nu.xom.tests with parameters of type Element
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, Element expected, Element actual)`
Asserts that two element nodes are equal.
`static void`
XOMTestCase.`assertEquals(Element expected, Element actual)`
Asserts that two element nodes are equal.